textinsert.extension
Prev | Stylesheet Extensions | Next

## textinsert.extension

textinsert.extension — Enables the textinsert extension element

## Synopsis

      <xsl:param name="textinsert.extension" select="1"></xsl:param>

## Description

The textinsert extension element inserts the contents of a file into the result tree (as text).

### Note

To use the textinsert extension element, you must use either Saxon or Xalan as your XSLT processor (it doesn’t work with xsltproc), along with either the DocBook Saxon extensions or DocBook Xalan extensions (for more information about those extensions, see DocBook Saxon Extensions and DocBook Xalan Extensions), and you must set both the `use.extensions` and `textinsert.extension` parameters to `1`.

As an alternative to using the textinsert element, consider using an Xinclude element with the `parse="text"` attribute and value specified, as detailed in Using XInclude for text inclusions.

## See Also

You can also use the `<?dbhtml-include href?>` processing instruction to insert external files — both files containing plain text and files with markup content (including HTML content).

## More information

For how-to documentation on inserting contents of external code files and other text files into output, see External code files.

For guidelines on inserting contents of HTML files into output, see Inserting external HTML code.

Prev | Up | Next
tablecolumns.extension | Home | textdata.default.encoding